Subject: Re: bug#36828: 27.0.50; Uninstalled emacs shows installed documentation

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Oct 2019 17:58:54 +0200

> From: Óscar Fuentes <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 28 Oct 2019 00:50:11 +0100
> 
> > Let's try to find a way of detecting your situation without making too
> > many waves elsewhere, okay?
> 
> Once we know that we are running a non-installed emacs, detecting that
> it is an out-of-source build seems quite easy, because the build
> directory contains build artifacts without the sources.

Yes.  But how to detect that we are running non-installed?

> Said that, I'll like to clarify that this is nothing about me. This
> issue caught me by surprise once and, now that I know about it, it is
> not a problem anymore. In fact, because your past comments about its
> small relevance I closed the bug and it was reopened by other
> participant who thinks (as I do) that the use case is not as rare as you
> think. The difference between that other participant and me seems to be
> that I don't consider this issue worth of arguing about. If you close it
> as wontfix, I'm fine. If you think it is worth fixing, I'll try to
> provide an acceptable patch.

I'm not arguing against finding a solution to this particular
situation.  So if you can work on a patch to detect it, please do.
I'm just saying that the change cannot unconditionally prefer the
files from the source tree, because an installed binary shouldn't do
that, it should use the files that are part of its installation.